/* %let footnote3 =<Sub>1</Sub>&footnote2.;
*/
/*
        out_string = "    <Cell ss:MergeAcross=""%sysevalf(3*&end_col. - 3*&start_col.+3)"" ss:StyleID=""s_foot""><";
        if prxmatch(re,"&footnote1.") then out_string = trim(out_string) || trim("ss:");
        out_string = trim(out_string) || trim("Data ss:Type=""String"" ");
        if prxmatch(re,"&footnote1.") then out_string = trim(out_string) || trim(" xmlns=""http://www.w3.org/TR/REC-html40""");
		out_string = trim(out_string) || trim(">&footnote1.</");
        if prxmatch(re,"&footnote1.") then out_string = trim(out_string) || trim("ss:");
		out_string = trim(out_string) || trim("Data></Cell>");
        output;
*/

data for_test;
  length out_string $10000 test  $10000;
  out_string = '<Cell ss:MergeAcross="21" ss:StyleID="s_foot1"><Data ss:Type="String"><Sub>Note</Sub>: were estimated.</Data></Cell>';
run;



%let valid_text_modifier = <Sup>|<Sub>|<S>|<I>|<B>;

data test;*(where=(found = 1 or found2=1 or found3=1));
  set for_test;
  retain re re_data re_data1 re_valid re_invalid;
  *call prxdebug(1);

  if _n_ = 1 then do;
    re_data = prxparse("/<Data.*<\/Data>/");

    re_data_ch = prxparse("s/(^<Data)*(<Data[^>]*>)(^<)*(<\w*>)(^<)*(<\\\w*>)(.*)(<\/Data>)/N\2N\5N/");

    re_data1 = prxparse("/<Data[\:\=\w\s""]*>/");
    re = prxparse("/<[A-Z]\w*>\w*<\/[A-Z]\w*>/");
	re_valid = prxparse("/&valid_text_modifier./");
    re_invalid= prxparse("/<Data.*<[A-Z]\w*>\w*<\/[A-Z]\w*>.*\/Data>/");
  end;
  test = "";
  test = prxchange(re_data_ch, 1, out_string);
  /*
  if prxmatch(re_valid,out_string) then do;
    found2=1;
  end;
  if prxmatch(re_invalid,out_string) then do;
    found3=1;
  end;
*/

  if /*prxmatch(re,out_string) and*/ prxmatch(re_data,out_string) then do;
  /*
    call prxsubstr(re_data, out_string, data_start, data_length);
    call prxsubstr(re_data1, out_string, data1_start, data1_length);
    string1 = substrn(out_string, 0, data1_start+1);
    string2 = substrn(out_string, data1_start+1, data1_length-1);
    string3 = substrn(out_string, data1_start + data1_length, data_length - data1_start + data1_length);
    string4 = substrn(out_string, data1_length + data_length  + data1_length);


	out_string = trim(string1) || trim("ss:") || trim(string2) || trim(" xmlns=""http://www.w3.org/TR/REC-html40""") || trim(string3) || trim("ss:") || trim(string4);
    found = 1;
  */
  end;

run;

proc print data = test;
  var out_string test;
run;
